alerting:
  ntfy:
    topic: status
    url: # Insert your ntfy domain name here. Example: https://ntfy.example.com
    description: 'Gatus detected a change on one of the endpoints.'
    failure-threshold: 3
    success-threshold: 1

endpoints:
  - name: Internet
    group: 'External'
    url: '1.1.1.1'
    interval: 1m
    dns:
      query-name: 'google.com'
      query-type: 'A'
    conditions:
      - '[DNS_RCODE] == NOERROR'
    alerts:
      - type: ntfy
        description: 'Internet status has changed.'
  - name: Speedtest
    url: 'https://host.docker.internal:10201'
    group: 'Internal'
    interval: 1m
    client:
      insecure: true
    conditions:
      - '[CONNECTED] == true'
      - '[STATUS] == 200'
    alerts:
      - type: ntfy
        description: 'Speedtest status has changed.'
  - name: Notify
    url: 'https://host.docker.internal:10401'
    group: 'Internal'
    interval: 1m
    client:
      insecure: true
    conditions:
      - '[CONNECTED] == true'
      - '[STATUS] == 200'
  - name: Guacamole
    url: 'http://host.docker.internal:10300'
    group: 'Internal'
    interval: 1m
    alerts:
      - type: ntfy
        description: 'Guacamole status has changed.'
    conditions:
      - '[CONNECTED] == true'
      - '[STATUS] == 200'

skip-invalid-config-update: true

ui:
  title: Health Status

web:
  tls:
    certificate-file: '/config/certs/self.cert'
    private-key-file: '/config/certs/self-ssl.key'
